Query classification nodes

/pim/nodes/query Gets node ids.

Allow to query classification nodes ids by:

  1. product tid

  2. product id

  3. attribute definition id

  4. attribute definition tid

  5. attribute id

Table 1. Details

Resource path

/api/core/v1/pim/nodes/query

HTTP method

POST

Request content type

application/json;

Response content type

application/json;

API restriction for users without admin role - endpoint is not available.
Body parameters

Specified by NodesQueryRequest

Return Type

Specified by NodesRequest

Responses
Table 2. Http response codes
Code Message Datatype

200

Found classification nodes ids.

NodesRequest

400

Invalid input provided

ResponseType

401

Not authorized

ResponseType

500

An unknown internal error occurred

ResponseType

Samples
Query classification nodes
curl
curl --location --request POST 'https://<OMN_SERVER>/api/core/v1/pim/nodes/retrieve' \
--header 'Authorization: Bearer <TOKEN>' \
--header 'Content-Type: application/json' \
--data-raw '{
     "productId": 123
}'
Request body. By product id
{
    "productId": 18765
}
Request body. By product tid
{
    "productTid": "A239A197-5287-494A-B5EE-36F3EB0E95AB"
}
Request body. By attribute id
{
    "attributeId": "986655"
}
Request body. By attribute definition id
{
    "attributeDefinitionId": "778554"
}
Request body. By attribute definition tid
{
    "attributeDefinitionTid": "7D534991-B623-418C-A7CB-A273C877A37D"
}
Response body
{
    "ids": [756362, 34345, 43213],
    "level": 1
}

Welcome to the AI Chat!

Write a prompt to get started...